<?php
/**
 * app/plugins/feedback/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Feedback
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Feedback extends Plugin {
    public $pluginName = 'TP Feedback';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a form and management for user submitted feedback.';
    public $configName = 'feedback';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable User Feedback.',
            'default' => true,
        ],
        'sendEmail' => [
            'type' => 'radio',
            'pretty' => 'Email the user after submitting.',
            'default' => false,
        ],
        'emailTemplate' => [
            'type' => 'text',
            'pretty' => 'Email Template',
            'default' => 'feedbackEmail',
        ],
    ];
    public $permissionMatrix = [
        'feedback' => [
            'pretty' => 'Can Submit Feedback',
            'default' => false,
        ],
    ];
    public $footer_links = [
        [
            'text' => 'Feedback',
            'url' => '{ROOT_URL}feedback',
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-support"></i> Feedback',
            'url' => '{ROOT_URL}admin/feedback',
        ],
    ];
}
