<?php
/**
 * app/plugins/blog/controllers/admin/blog.php
 *
 * This is the Blog admin controller.
 *
 * @package TP Blog
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers\Admin;

use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Classes\AdminController;
use TheTempusProject\Plugins\Members as MemberModel;
use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\Bedrock\Functions\Input;

class Members extends AdminController {
    public function __construct() {
        parent::__construct();
        $view = Navigation::activePageSelect( 'nav.admin', '/admin/member' );
        Components::set( 'ADMINNAV', $view );
    }

    public function index( $data = null ) {
        self::$title = 'Admin - Membership Webhooks';
        
        if ( !Input::exists( 'submit' ) ) {
            return Views::view( 'members.admin.webhooks' );
        }
        MemberModel::webhookSetup();
        Issues::add( 'success', 'Webhooks Generated' );
        Issues::add( 'error', 'Now, LEAVE!' );
    }
}
