<?php
/**
 * app/classes/admin_controller.php
 *
 * This is the base admin controller. Every other admin controller should
 * extend this class.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Houdini\Classes\Template;
use TheTempusProject\TheTempusProject as App;
use TheTempusProject\Hermes\Functions\Redirect;
use TheTempusProject\Bedrock\Functions\Session;
use TheTempusProject\Classes\Controller;

class StripeApiController extends Controller {
    public function __construct() {
        parent::__construct();
        // if ( ! App::verifyApiRequest() ) {
        //     Session::flash( 'error', 'You do not have permission to view this page.' );
        //     return Redirect::home();
        // }
        Template::noFollow();
        Template::noIndex();
        Template::addHeader( 'Content-Type: application/json; charset=utf-8' );
        Template::setTemplate( 'api' );
    }
}
